Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.capabilities
Class WMPSCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.wmps.capabilities.WMPSCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WMPSConfiguration

    public class WMPSCapabilities

extends OGCCapabilities

The purpose of the GetCapabilities operation is described in the Basic Capabilities Service Elements section, above. In the particular case of a Web Map Print Service Capabilities Service, the response of a GetCapabilities request is general information about the service itself and specific information about the available maps. The available output formats and the online resource are listed for each operation offered by the server,

Version:
  2.0
Author:
  Anup Deshmukh
See Also:
  Serialized Form

Constructor Summary
`protected` | `WMPSCapabilities(String version, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, UserDefinedSymbolization userDefinedSymbolization, OperationsMetadata metadata, Layer layer)` Constructor initializing the class with the `WMPSCapabilities`

Method Summary
`Layer` | `getLayer()` returns the root layer provided by a WMPS
`Layer` | `getLayer(String name)` recursion over all layers to find the layer that matches the submitted name.
`OperationsMetadata` | `getOperationMetadata()` returns metadata about the offered access methods like PrintMap or GetCapabiliites
`ServiceIdentification` | `getServiceIdentification()` returns the service description section
`ServiceProvider` | `getServiceProvider()` returns informations about the provider of a WMPS
`UserDefinedSymbolization` | `getUserDefinedSymbolization()`
`void` | `setLayer(Layer layer)` sets the root layer provided by a WMPS
`void` | `setOperationMetadata(OperationsMetadata operationMetadata)` sets metadata for the offered access methods like PrintMap or GetCapabiliites
`void` | `setServiceIdentification(ServiceIdentification serviceIdentification)` the service description section
`void` | `setServiceProvider(ServiceProvider serviceProvider)` sets informations about the provider of a WMPS
`void` | `setUserDefinedSymbolization(UserDefinedSymbolization userDefinedSymbolization)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMPSCapabilities

    protected WMPSCapabilities(String version,
                               ServiceIdentification serviceIdentification,
                               ServiceProvider serviceProvider,
                               UserDefinedSymbolization userDefinedSymbolization,
                               OperationsMetadata metadata,
                               Layer layer)

  Constructor initializing the class with the `WMPSCapabilities`

  Parameters:
    `version` -
    `serviceIdentification` -
    `serviceProvider` -
    `userDefinedSymbolization` -
    `metadata` -
    `layer` -

Method Detail

### getServiceIdentification

    public ServiceIdentification getServiceIdentification()

  returns the service description section

  Returns:
    ServiceIdentification

### setServiceIdentification

    public void setServiceIdentification(ServiceIdentification serviceIdentification)

  the service description section

  Parameters:
    `serviceIdentification` -

### getLayer

    public Layer getLayer()

  returns the root layer provided by a WMPS

  Returns:
    Layer

### getLayer

    public Layer getLayer(String name)

  recursion over all layers to find the layer that matches the submitted name. If no layer can be found that fullfills the condition `null` will be returned.

  Parameters:
    `name` -
  Returns:
    Layer

### setLayer

    public void setLayer(Layer layer)

  sets the root layer provided by a WMPS

  Parameters:
    `layer` -

### getOperationMetadata

    public OperationsMetadata getOperationMetadata()

  returns metadata about the offered access methods like PrintMap or GetCapabiliites

  Returns:
    OperationsMetadata

### setOperationMetadata

    public void setOperationMetadata(OperationsMetadata operationMetadata)

  sets metadata for the offered access methods like PrintMap or GetCapabiliites

  Parameters:
    `operationMetadata` -

### getServiceProvider

    public ServiceProvider getServiceProvider()

  returns informations about the provider of a WMPS

  Returns:
    ServiceProvider

### setServiceProvider

    public void setServiceProvider(ServiceProvider serviceProvider)

  sets informations about the provider of a WMPS

  Parameters:
    `serviceProvider` -

### getUserDefinedSymbolization

    public UserDefinedSymbolization getUserDefinedSymbolization()

### setUserDefinedSymbolization

    public void setUserDefinedSymbolization(UserDefinedSymbolization userDefinedSymbolization)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org